#include "cheap.h"
#include "util.h"

/*-----------------------------------------------------------------------------*/
#define JUDGE_INTERVAL 10  /* how often to look at hypotheses, in milliseconds */
#define MAX_JUDGEPOINTS (MAX_SECONDS * 1000 / JUDGE_INTERVAL)

/*-----------------------------------------------------------------------------*/
void do_judge(void);
void invert_scores(void);
int first_judgepoint_after(int ms);
int lookup_correct(char *word, struct whyp labels[MAX_LABELS], int nlabels);
char *score_string(void);

void setup_wordlines(void); 
char *label_at_time(int judgepoint);

/*-----------------------------------------------------------------------------*/
struct whyp labels[MAX_LABELS];
struct whyp hyps[MAX_NTEMPLATES];

int njudgepoints;
int input_length;
int nlabels;
int nwh;            /* number of word hypotheses */
int nvocab;

float score;
float grand_total;

struct timeline {
  char word[MAX_WORD_LEN];
  float evidence[MAX_JUDGEPOINTS];  
};

struct timeline wordline[MAX_VOCAB];

float sum_evidence[MAX_JUDGEPOINTS];
float correctness[MAX_JUDGEPOINTS];

/*-----------------------------------------------------------------------------*/
