/* file = xutil.h */
#define FONT_HEIGHT 10     /* probably should query X for this */
#define FONT_WIDTH 8     /* probably should query X for this */

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/keysym.h>

Display	*display;
Window	win;
XEvent   report;

void sg_create(int width, int height, int flushflag, char *name);	
void sg_wait_for_mapping(void);
void sg_clear(void);
void sg_flush(void);
void sg_close(void);

void sg_line(int x0,int y0,int x1,int y1);
void sg_line_red(int yx0,int y0,int x1,int y1);
void sg_clear_line(int x0, int y0, int x1, int y1);

void vertical_dots(int x, int y1, int y2); 
void horizontal_dots(int x1, int x2, int y); 

void sg_string(int x, int y, char *s);	
void sg_string_red(int x, int y, char *s);	
void sg_clear_string(int x, int y, char *s);

void sg_pset(int x, int y);
void sg_pset_red(int x, int y);
void sg_preset(int x, int y);

void sg_draw_rect(int x, int y, int width, int height);
void sg_erase_rect(int x, int y, int width, int height);
void sg_outline_rect(int x, int y, int width, int height);
void sg_clear_outline_rect(int x, int y, int width, int height);

void sg_bell(void);
